# Gmail Video Viewer

תוסף כרום לצפייה בסרטונים המצורפים למיילים בג'ימייל בצורה נוחה ומהירה.

## תכונות עיקריות

### צפייה בסרטונים
- **נגן צף** - צפייה בסרטונים בחלון צף מעל הג'ימייל
- **פתיחה בטאב חדש** - אפשרות לפתיחת הסרטון בטאב נפרד
- **תמיכה בפורמטים** - תמיכה במגוון פורמטים של קבצי וידאו

### התאמה אישית
- **מיקום הנגן** - בחירת מיקום ברירת המחדל של הנגן הצף (9 מיקומים אפשריים)
- **שמירת העדפות** - שמירת ההגדרות האישיות בין הפעלות

### ממשק משתמש
- **עיצוב מודרני** - ממשק נקי ואינטואיטיבי
- **כפתורי פעולה** - כפתורי צפייה נוחים ליד כל קובץ וידאו
- **תצוגה מותאמת** - תמיכה מלאה בעברית ובכיוון RTL

## פונקציות טכניות

### נגן הווידאו (`player.js`)
- `initializePlayer()` - אתחול נגן הווידאו עם הפרמטרים הנדרשים
- `showError(message)` - הצגת הודעת שגיאה בנגן
- `hideError()` - הסתרת הודעת שגיאה
- `showNotification(message)` - הצגת התראה למשתמש

### ניהול תוכן (`content.js`)
- `initializeVideoViewer()` - אתחול התוסף בדף הג'ימייל
- `showVideoPlayer(videoUrl, title)` - יצירת והצגת נגן וידאו צף
- `addViewButton(link)` - הוספת כפתור צפייה לקישורי וידאו
- `checkForAttachments()` - סריקת קבצים מצורפים במייל
- `isVideoFile(filename)` - בדיקה האם קובץ הוא קובץ וידאו
- `cleanupFileName(fileName)` - ניקוי וסידור שם הקובץ
- `cleanupFloatingPlayer()` - ניקוי משאבי נגן צף

### ניהול אירועים
- `addTrackedEventListener()` - הוספת מאזין אירועים עם מעקב
- `removeAllTrackedEventListeners()` - הסרת כל מאזיני האירועים
- `clearProcessedVideos()` - ניקוי זיכרון בין מעברי מיילים

## התקנה

1. הורד את התוסף מחנות התוספים של כרום
2. התוסף יותקן אוטומטית ויהיה זמין בג'ימייל
3. לחץ על אייקון התוסף להגדרת העדפות

## דרישות מערכת

- דפדפן Google Chrome (גרסה 88 ומעלה)
- חשבון Gmail פעיל
- גישה לחנות התוספים של Chrome

## רישיון

תוסף זה מופץ תחת רישיון MIT.
